<!-------------------------------------------------------------------------------------------------
  - #%L                                                                                           -
  - chvote-vrum                                                                                   -
  - %%                                                                                            -
  - Copyright (C) 2016 - 2018 République et Canton de Genève                                      -
  - %%                                                                                            -
  - This program is free software: you can redistribute it and/or modify                          -
  - it under the terms of the GNU Affero General Public License as published by                   -
  - the Free Software Foundation, either version 3 of the License, or                             -
  - (at your option) any later version.                                                           -
  -                                                                                               -
  - This program is distributed in the hope that it will be useful,                               -
  - but WITHOUT ANY WARRANTY; without even the implied warranty of                                -
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                  -
  - GNU General Public License for more details.                                                  -
  -                                                                                               -
  - You should have received a copy of the GNU Affero General Public License                      -
  - along with this program. If not, see <http://www.gnu.org/licenses/>.                          -
  - #L%                                                                                           -
  ------------------------------------------------------------------------------------------------->

<vrum-header>
  <div class="operations-header" fxLayout fxLayoutAlign="space-between">
    <h1 id="opertaionsHeaderTitle">{{ 'operations.header.title' | translate }}</h1>
  </div>
</vrum-header>

<div class="chvote-content">
  <mat-card id="operationListSection">
    <mat-card-header>
      <mat-card-title>{{ 'operations.list.title' | translate }}</mat-card-title>
    </mat-card-header>
    <mat-card-content *ngIf="dataSource.data.length > 0" class="no-padding">
      <mat-table #table [dataSource]="dataSource" matSort id="operationsGrid">

        <ng-container matColumnDef="operationDate">
          <mat-header-cell *matHeaderCellDef mat-sort-header>
            {{"operations.list.grid.header.operationDate" | translate}}
          </mat-header-cell>
          <mat-cell *matCellDef="let element">{{ element.operationDate | date:'dd.MM.yyyy' }}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="shortLabel">
          <mat-header-cell *matHeaderCellDef mat-sort-header>
            {{"operations.list.grid.header.shortLabel" | translate }}
          </mat-header-cell>
          <mat-cell *matCellDef="let element">{{ element.shortLabel }}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="longLabel">
          <mat-header-cell *matHeaderCellDef mat-sort-header fxHide fxShow.gt-sm>
            {{ "operations.list.grid.header.longLabel" | translate }}
          </mat-header-cell>
          <mat-cell *matCellDef="let element" fxHide fxShow.gt-sm>{{ element.longLabel }}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="arrow">
          <mat-header-cell *matHeaderCellDef></mat-header-cell>
          <mat-cell *matCellDef="let element">
            <mat-icon color="primary">chevron_right</mat-icon>
          </mat-cell>
        </ng-container>

        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
        <mat-row
          *matRowDef="let row; columns: displayedColumns;"
          (click)="onOperationSelected(row.id)"></mat-row>
      </mat-table>
    </mat-card-content>

    <mat-card-content *ngIf="dataSource.data.length == 0" fxLayout="column" class="no-padding">
      <p class="operations-list-empty">{{ 'operations.list.empty' | translate }}</p>
    </mat-card-content>
  </mat-card>
</div>
